Subject: opb_ethernet driver

From: xu chen <[email-masked]>
Date: Mon, 11 Jun 2007 10:37:55 +0800 (CST)

Hello.
      I'm porting an opb_ethernet driver to my ml403 board now, using the 2.6.17 kernel. I know the ethernet support 3 mode: No DMA, simple DMA, scatter gather DMA, when I use the No DMA mode, we can write the skb into the FIFO, but can't ping other PCs in the network. When I use the simple DMA mode, at the time of ping, in the driver, we should initialize the DMA channel, but when transfering the skb, the DMA returns a "DMA bus time out" signal. 
     Now I'm worry about it. Who had encountered the problem before? I think I need some help.

---------------------------------
 雅虎免费邮箱-3.5G容量，20M附件